package net.knarcraft.placeholdersigns.config;

import net.knarcraft.knarlib.formatting.TranslatableMessage;
import org.jetbrains.annotations.NotNull;

/**
 * Translatable plugin messages
 */
public enum PlaceholderSignMessage implements TranslatableMessage {

    /**
     * The message to display when waiting for a sign selection (edit)
     */
    SUCCESS_CLICK_SIGN_TO_EDIT,

    /**
     * The message to display when waiting for a sign selection (view)
     */
    SUCCESS_CLICK_SIGN_TO_VIEW,

    /**
     * The message displayed when a player tries to edit a waxed sign without the necessary permission
     */
    ERROR_WAXED_NO_PERMISSION,

    /**
     * The message displayed when a sign line has been successfully changed
     */
    SUCCESS_SIGN_CHANGED,

    /**
     * The format used when printing current sign lines
     */
    SUCCESS_SIGN_CONTENTS,

    /**
     * The string displayed when a sign is confirmed to be glowing
     */
    GLOWING_CONFIRM,

    /**
     * The string displayed when a sign is not glowing
     */
    GLOWING_DENY,
    ;

    @Override
    public @NotNull TranslatableMessage[] getAllMessages() {
        return PlaceholderSignMessage.values();
    }

}
