package net.knarcraft.placeholdersigns.container;

import org.bukkit.entity.Player;
import org.jetbrains.annotations.NotNull;

/**
 * A record of a player's request to change a sign
 *
 * @param player <p>The player requesting the sign change</p>
 * @param line   <p>The line the player wants to change</p>
 * @param text   <p>The new text the player provided for the line</p>
 */
public record SignLineChangeRequest(@NotNull Player player, int line, @NotNull String text) {
}
