package net.knarcraft.placeholdersigns.listener;

import net.knarcraft.placeholdersigns.PlaceholderSigns;
import net.knarcraft.placeholdersigns.container.PlaceholderSign;
import net.knarcraft.placeholdersigns.handler.PlaceholderSignHandler;
import org.bukkit.block.Block;
import org.bukkit.block.Sign;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockBreakEvent;
import org.jetbrains.annotations.NotNull;

/**
 * A listener for placeholder signs being broken
 */
public class SignBreakListener implements Listener {

    @EventHandler(ignoreCancelled = true, priority = EventPriority.MONITOR)
    public void onSignBreak(@NotNull BlockBreakEvent event) {
        Block block = event.getBlock();

        if (!(block.getState() instanceof Sign)) {
            return;
        }
        PlaceholderSignHandler signHandler = PlaceholderSigns.getInstance().getSignHandler();
        PlaceholderSign sign = signHandler.getFromLocation(block.getLocation());
        if (sign != null) {
            signHandler.unregisterSign(sign);
        }
    }

}
